﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.SilverlightEdition;
using ThinkGeo.MapSuite.SilverlightCore;

namespace Samples6683
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void LayoutRoot_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.Meter;
            Map1.Background = new SolidColorBrush(Color.FromArgb(255, 156, 187, 216));
            Map1.CurrentExtent = new RectangleShape(-7189833.07476387, 8254469.23957793, 12811531.4124993, -6746554.12586945);

            ServerLayerOverlay serverLayerOverlay = new ServerLayerOverlay("NativeServerWithGoogleRoadMap", "SilverlightMapConnector1");
            Map1.Overlays.Add(serverLayerOverlay);

            //ServerLayerOverlay serverLayerOverlay1 = new ServerLayerOverlay("NativeServerWithVirtualEarthMap", "SilverlightMapConnector1"); 
            //Map1.Overlays.Add(serverLayerOverlay1); 

            ServerLayerOverlay serverLayerOverlay2 = new ServerLayerOverlay("NativeServerWithMsSql", "SilverlightMapConnector1");
            Map1.Overlays.Add(serverLayerOverlay2);

            Map1.Refresh();
        }
    }
}